---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# This endpoint provides a list of Field Permissions, it can be paginated with the pagination=true parameter

Retrieves the collection of PermissionField resources.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation v5",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/permissions/fields": {
      "get": {
        "operationId": "getPermissionFieldCollection",
        "tags": [
          "User & Permission"
        ],
        "responses": {
          "200": {
            "description": "PermissionField collection",
            "content": {
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              },
              "application/hal+json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput"
                  }
                }
              },
              "text/html": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PermissionField.PermissionFieldOutput"
                  }
                }
              }
            }
          }
        },
        "summary": "This endpoint provides a list of Field Permissions, it can be paginated with the pagination=true parameter",
        "description": "Retrieves the collection of PermissionField resources.",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 100,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "pagination",
            "in": "query",
            "description": "Enable or disable pagination",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "boolean"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "order[id]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "order[name]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "LanguageTranslation": {
        "type": "object",
        "description": "This structure does accept key & values where key has to be a language code configured in your PIM & the value is the value for this field in this language.",
        "properties": {
          "fr-FR": {
            "type": "string",
            "example": "fr-FR translation"
          },
          "en-US": {
            "type": "string",
            "example": "en-US translation"
          }
        },
        "additionalProperties": {
          "type": "string",
          "example": "additional translation"
        },
        "example": {
          "fr-FR": "fr-FR translation",
          "en-US": "en-US translation",
          "<*>": "..."
        }
      },
      "PermissionField.PermissionFieldOutput": {
        "type": "object",
        "properties": {
          "fieldsVisible": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "fieldsEditable": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object",
              "description": "This is simple version of a user.",
              "properties": {
                "id": {
                  "$ref": "#/components/schemas/Identifier"
                },
                "firstName": {
                  "type": "string"
                },
                "lastName": {
                  "type": "string"
                }
              }
            },
            "readOnly": true
          }
        }
      },
      "PermissionField.PermissionFieldOutput.jsonld": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "fieldsVisible": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "fieldsEditable": {
            "type": "array",
            "example": [
              "field_id_1",
              "field_id_2"
            ],
            "items": {
              "type": "string",
              "description": "This is a field id.",
              "pattern": "^[\\w\\s\\/|_.,&+-]+$"
            },
            "readOnly": true,
            "description": "This array should contains Field Identifiers."
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation",
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object",
              "description": "This is simple version of a user.",
              "properties": {
                "id": {
                  "$ref": "#/components/schemas/Identifier"
                },
                "firstName": {
                  "type": "string"
                },
                "lastName": {
                  "type": "string"
                }
              }
            },
            "readOnly": true
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ],
  "x-readme": {}
}
```